"""
Core Module for Tree Interval Package.

This module contains the fundamental components and data structures for the
tree interval package. It provides the building blocks for tree manipulation,
position tracking, and AST analysis.

Components:
    - interval_core: Core tree and position classes
    - ast_builder: AST parsing and tree construction
    - frame_analyzer: Runtime frame analysis

Technical Details:
    - Modular architecture for extensibility
    - Type-safe implementations
    - Integration with Python's AST module
    - Support for runtime analysis
"""
